package ru.yandex.webmaster3.storage.user;

import org.jetbrains.annotations.NotNull;
import ru.yandex.webmaster3.core.data.WebmasterUser;

import java.util.Collections;
import java.util.List;

/**
 * @author leonidrom
 */
public interface UserTakeoutDataProvider {
    @NotNull
    default List<UserTakeoutTableData> getUserTakeoutData(WebmasterUser user) {
        return Collections.emptyList();
    };

    default void deleteUserData(WebmasterUser user) {

    };

    @NotNull
    default List<String> getTakeoutTables() {
        return Collections.emptyList();
    };
}
